Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.flv.meta
Interface IMetaCue

All Superinterfaces:
  Comparable<Object>, IMeta, Serializable

All Known Implementing Classes:
  MetaCue

    public interface IMetaCue

extends IMeta, Comparable<Object>

ICuePoint defines contract methods for use with cuepoints

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com)

Method Summary
`String` | `getName()` Gets the name
`double` | `getTime()` Gets the time
`String` | `getType()` Gets the type
`void` | `setName(String name)` Sets the name
`void` | `setTime(double d)` Sets the time
`void` | `setType(String type)` Sets the type type can be "event" or "navigation"

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### setName

    void setName(String name)

  Sets the name

  Parameters:
    `name` - Cue point name

### getName

    String getName()

  Gets the name

  Returns:
    name Cue point name

### setType

    void setType(String type)

  Sets the type type can be "event" or "navigation"

  Parameters:
    `type` - Cue point type

### getType

    String getType()

  Gets the type

  Returns:
    type Cue point type

### setTime

    void setTime(double d)

  Sets the time

  Parameters:
    `d` - Timestamp

### getTime

    double getTime()

  Gets the time

  Returns:
    time Timestamp

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project